| IOLink Python 1.11.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Properties | List of all members
iolink.iolink.ImageInfoProperty Class Reference
Inheritance diagram for iolink.iolink.ImageInfoProperty:

## Public Member Functions
| __init__ (self, *args)
| get_axes_interpretation (self)
| set_axes_interpretation (self, type)
| get_alpha (self)
| get_bit_depth (self)
| get_value_range (self)
| set_interpretation (self, interpretation)
| set_alpha (self, hasAlpha)
| set_bit_depth (self, bitdepth)
| set_value_range (self, range)
| __eq__ (self, other)
| to_string (self)
| __repr__ (self)
| get_interpretation (self)

## Static Public Member Functions
| channel_count (interpretation)

## Protected Member Functions
| _get_interpretation (self)

## Properties
| thisown = property(lambda x: x.this.own(), lambda x, v: x.this.own(v), doc="The membership flag")
| axes_interpretation = property(get_axes_interpretation, set_axes_interpretation, doc=get_axes_interpretation.__doc__)
| interpretation = property(get_interpretation, set_interpretation, doc=_get_interpretation.__doc__)
| has_alpha = property(get_alpha, set_alpha, doc=get_alpha.__doc__)
| bit_depth = property(get_bit_depth, set_bit_depth, doc=get_bit_depth.__doc__)
| value_range = property(get_value_range, set_value_range, doc=get_value_range.__doc__)

## Detailed Description

    This property describes the way the axes must be interpreted (IMAGE, VOLUME, SEQUENCE...) and also the
    composition of the image by providing :
     - its interpretation (GRAYSCALE, RGB, ...)
     - the presence of a alpha channel
     - the bit depth where data is stored
     - the range of value of the data (It is actually the min and max values that are stored in the image)

## Member Function Documentation

## ◆ __eq__()

iolink.iolink.ImageInfoProperty.__eq__ | ( |  | self,
|  |  | other
| ) |  |

    Equality operator

## ◆ _get_interpretation()

iolink.iolink.ImageInfoProperty._get_interpretation | ( |  | self | ) |
| protected

     Getter for Image interpretation

## ◆ channel_count()

iolink.iolink.ImageInfoProperty.channel_count | ( |  | interpretation | ) |
| static

        Method which gives you the number of channels for one pixel in a specific ImageInterpretation
        :type interpretation: int
        :param interpretation: ImageInterpretation for which we want to know the channel count
        :rtype: int
        :return: the channel count corresponding to the given ImageInterpretation

## ◆ get_alpha()

iolink.iolink.ImageInfoProperty.get_alpha | ( |  | self | ) |

    Return if an alpha channel is present

## ◆ get_axes_interpretation()

iolink.iolink.ImageInfoProperty.get_axes_interpretation | ( |  | self | ) |

        Return an ImageType describing the interpretation of the axes of the image.

        For example a classical image ImageType will have the ImageDimension::COLUMN and
        ImageDimension::ROW set. A sequence of 2D images will have ImageDimension::SEQUENCE
        in addition.

## ◆ get_bit_depth()

iolink.iolink.ImageInfoProperty.get_bit_depth | ( |  | self | ) |

        The bit depth of pixel components.

        For example, data can be stored on 16 bits, but only 12 of those
        are used, so the image view will have a data type of UINT16, but
        its real bit depth will be 12.

## ◆ get_value_range()

iolink.iolink.ImageInfoProperty.get_value_range | ( |  | self | ) |

    The value range of the pixel component

## ◆ set_alpha()

iolink.iolink.ImageInfoProperty.set_alpha | ( |  | self,
|  |  | hasAlpha
| ) |  |

     Set if an alpha channel is present

## ◆ set_axes_interpretation()

iolink.iolink.ImageInfoProperty.set_axes_interpretation | ( |  | self,
|  |  | type
| ) |  |

         Set the image's axes interpretation.

        :type type: :py:class:`ImageType`
        :param type: Type of Image to set

## ◆ set_bit_depth()

iolink.iolink.ImageInfoProperty.set_bit_depth | ( |  | self,
|  |  | bitdepth
| ) |  |

    Set the bit depth of pixel components.

## ◆ set_interpretation()

iolink.iolink.ImageInfoProperty.set_interpretation | ( |  | self,
|  |  | interpretation
| ) |  |

     Setter for Image Interpretation

## ◆ set_value_range()

iolink.iolink.ImageInfoProperty.set_value_range | ( |  | self,
|  |  | range
| ) |  |

    Set the value range of components

## ◆ to_string()

iolink.iolink.ImageInfoProperty.to_string | ( |  | self | ) |

    Return string representation

The documentation for this class was generated from the following file:

- Release/python/iolink/iolink.py